package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryStoreInout;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryStoreInoutExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InventoryStoreInoutMapper {
    
    int countByExample(InventoryStoreInoutExample example);
    
    int deleteByExample(InventoryStoreInoutExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryStoreInout record);
    
    int insertSelective(InventoryStoreInout record);
    
    List<InventoryStoreInout> selectByExample(InventoryStoreInoutExample example);
    
    InventoryStoreInout selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryStoreInout record, @Param("example") InventoryStoreInoutExample example);
    
    int updateByExample(@Param("record") InventoryStoreInout record, @Param("example") InventoryStoreInoutExample example);
    
    int updateByPrimaryKeySelective(InventoryStoreInout record);
    
    int updateByPrimaryKey(InventoryStoreInout record);
    
    void batchInsert(@Param("items") List<InventoryStoreInout> items);
}